# coding:utf-8

'''
在此定义辅助函数
'''

import hashlib

#################################################
# 获取一个Md5的字符串
#################################################
def getMd5String(data):
    m = hashlib.md5()
    b = data.encode(encoding='utf-8')
    m.update(b)
    str_md5 = m.hexdigest()
    return str_md5

#################################################
# 获取签名，传入一个map,
# （需要对传入的参数，按照key的升序排列）
#################################################
def getSignature(data,postData={}):
    sMd5 = ""
    if len(postData) == 0:
        key = sorted(data.keys())
        tem = {}
        for item in key:
            tem[item] = data[item]
        data = tem
        s = ""
        for key in data.keys():
            s = s + key + "[" + str(data[key]) + "];"
        sMd5 = getMd5String(s)
    else:
        data["Data"] = postData
        key = sorted(data.keys())
        tem = {}
        for item in key:
            tem[item] = data[item]
        data = tem
        s = ""
        for key in data.keys():
            s = s + key + "[" + str(data[key]) + "];"
        sMd5 = getMd5String(s)
    return sMd5




if __name__ == "__main__":
    print(getSignature({"a":123,"b":"abc"}))


